> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riseworks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a team



## OpenAPI

````yaml /api-reference/openapi.yaml post /v2/teams
openapi: 3.0.3
info:
  title: Rise
  description: Web3-enabled payroll and compliance for the modern workforce
  version: 2.0.0
servers:
  - url: https://b2b-api.dev-riseworks.io
    description: Development
  - url: https://integrations-api.staging-riseworks.io
    description: Staging
  - url: https://integrations-api.riseworks.io
    description: Production
security: []
paths:
  /v2/teams:
    post:
      tags:
        - B2B Teams
      summary: Create a team
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  minLength: 1
                  description: >-
                    Name of the team, must be at least 1 character long and
                    trimmed
                company_nanoid:
                  type: string
                  minLength: 15
                  maxLength: 15
                  pattern: ^co-.*
                  description: Unique identifier for the company in nanoid format
                admins:
                  type: array
                  items:
                    type: object
                    properties:
                      nanoid:
                        type: string
                        minLength: 15
                        maxLength: 15
                        pattern: ^us-.*
                        description: Unique identifier for the admin user in nanoid format
                      type:
                        allOf:
                          - type: string
                            enum:
                              - team_admin
                              - team_finance_admin
                              - team_viewer
                          - {}
                        description: >-
                          Role type of the admin within the team, can be
                          team_admin, team_finance_admin, or team_viewer
                    required:
                      - nanoid
                      - type
                avatar_file_name:
                  description: Optional filename for the team avatar
                  type: string
                withdraw_fee_coverage:
                  type: boolean
                  description: Indicates whether the team covers withdrawal fees
              required:
                - name
                - company_nanoid
                - admins
                - withdraw_fee_coverage
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  data:
                    type: object
                    properties:
                      name:
                        type: string
                        minLength: 1
                        description: Name of the team.
                      nanoid:
                        type: string
                        description: Unique identifier for the team.
                      avatar:
                        type: string
                        description: URL of the team avatar.
                    required:
                      - name
                      - nanoid
                      - avatar
                    additionalProperties: false
                required:
                  - success
                  - data
                additionalProperties: false
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Bad Request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Unauthorized
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Forbidden
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Not Found
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  data:
                    type: string
                  error_code:
                    type: string
                required:
                  - success
                  - data
                additionalProperties: false
                description: Internal Server Error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````